Package org.kapott.hbci.passport.rdhXfile

## Class HBCIAccount.UserKeys

- java.lang.Object
- - org.kapott.hbci.passport.rdhXfile.TLV
  - - org.kapott.hbci.passport.rdhXfile.HBCIAccount.UserKeys

Enclosing class:
  HBCIAccount

    public static class HBCIAccount.UserKeys
    extends TLV

### Constructor Summary

Constructors
`UserKeys()`
`UserKeys​(TLV tlv)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `decrypt​(javax.crypto.SecretKey key)`
`void` `encrypt​(javax.crypto.SecretKey key)`
`int` `getKeyNum()`
`java.lang.String` `getKeyType()`
`int` `getKeyVersion()`
`java.security.Key` `getPrivateKey()`
`java.security.Key` `getPublicKey()`
`void` `setKeyNum​(int num)`
`void` `setKeyType​(java.lang.String t)`
`void` `setKeyVersion​(int version)`
`void` `setPrivateKey​(java.security.Key key)`
`void` `setPublicKey​(java.security.Key key)`
`java.lang.String` `toString()`
`void` `updateData()`

### Methods inherited from class org.kapott.hbci.passport.rdhXfile.TLV

`expand, getData, getLength, getRawData, getTag, int2ba, long2ba, reverseba, setData, trimba`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserKeys

    public UserKeys()

#### UserKeys

    public UserKeys​(TLV tlv)

### Method Detail

#### decrypt

    public void decrypt​(javax.crypto.SecretKey key)
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getKeyType

    public java.lang.String getKeyType()

#### setKeyType

    public void setKeyType​(java.lang.String t)

#### getKeyNum

    public int getKeyNum()

#### setKeyNum

    public void setKeyNum​(int num)

#### getKeyVersion

    public int getKeyVersion()

#### setKeyVersion

    public void setKeyVersion​(int version)

#### getPublicKey

    public java.security.Key getPublicKey()

#### setPublicKey

    public void setPublicKey​(java.security.Key key)

#### getPrivateKey

    public java.security.Key getPrivateKey()

#### setPrivateKey

    public void setPrivateKey​(java.security.Key key)

#### encrypt

    public void encrypt​(javax.crypto.SecretKey key)
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### updateData

    public void updateData()

Overrides:
  `updateData` in class `TLV`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`